[Regression wmf9] OpenSearch is now only returning exact matches and no suggestions
Closed, ResolvedPublic

Ryasmeen created this task.Jun 9 2015, 3:22 PM
Ryasmeen updated the task description. (Show Details)
Ryasmeen raised the priority of this task from to High.
Ryasmeen added a project: VisualEditor.
Ryasmeen added a subscriber: Ryasmeen.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 9 2015, 3:22 PM
Jdforrester-WMF renamed this task from [Regression wmf9] Template suggestions are not appearing in Beta Cluster to [Regression wmf9] Only one suggestion is appearing in the template dialog new template input.Jun 9 2015, 5:42 PM
Jdforrester-WMF set Security to None.
Jdforrester-WMF added a subscriber: Esanders.
Esanders added a comment.EditedJun 9 2015, 7:45 PM

This isn't a VE bug, here is the API response on beta labs:

http://en.wikipedia.beta.wmflabs.org/w/api.php?action=opensearch&search=Template%3ACite&suggest=

..with just one result

Here is the API response on live:

http://en.wikipedia.org/w/api.php?action=opensearch&search=Template%3ACite&suggest=

Could be search config issue on beta?

Jdforrester-WMF renamed this task from [Regression wmf9] Only one suggestion is appearing in the template dialog new template input to [Regression] Beta Cluster search is now only returning exact matches and no suggestions .Jun 9 2015, 7:50 PM
Jdforrester-WMF updated the task description. (Show Details)

Belay that, this is in wmf9 and affects all users AFAICT.

Jdforrester-WMF renamed this task from [Regression] Beta Cluster search is now only returning exact matches and no suggestions to [Regression wmf9] Beta Cluster search is now only returning exact matches and no suggestions .Jun 9 2015, 9:27 PM
Jdforrester-WMF raised the priority of this task from High to Unbreak Now!.
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptJun 9 2015, 9:27 PM

This is a search related issue, https://gerrit.wikimedia.org/r/#/c/217150/ will be going out today to fix it.

Jdforrester-WMF renamed this task from [Regression wmf9] Beta Cluster search is now only returning exact matches and no suggestions to [Regression wmf9] CirrusSearch is now only returning exact matches and no suggestions .Jun 9 2015, 9:31 PM

Change 217150 had a related patch set uploaded (by Jforrester):
Enable wikimedia-extra plugin options for cirrus

https://gerrit.wikimedia.org/r/217150

Deskana renamed this task from [Regression wmf9] CirrusSearch is now only returning exact matches and no suggestions to [Regression wmf9] OpenSearch is now only returning exact matches and no suggestions .Jun 9 2015, 9:42 PM

Seems the issue was detected on Beta-Cluster-Infrastructure before rolling the train. I am wondering whether we could have detected it earlier or if it was a last minute change made just before the train deployment.

The breakage was caused by merging https://gerrit.wikimedia.org/r/#/c/208011/ which was merged ~3:30pm SF time the day before the train rolled forward. It's close enough to end of day (past end of day for parts of the search team) that it was perhaps too late to catch. The other half of this error was that vagrant was using a different configuration than prod for this wikimedia-extra elasticsearch plugin, meaning we didn't catch it in the review process. The above patch brings prod in-line with how we have been testing things.

Change 217150 merged by jenkins-bot:
Enable wikimedia-extra plugin options for cirrus

https://gerrit.wikimedia.org/r/217150

@EBernhardson thanks! That is a really useful feedback.

Restricted Application added a project: Discovery. · View Herald TranscriptJun 10 2015, 6:09 PM

@Ryasmeen is this happening again in phase0, or is that a marker indicating what was previously verified?

@Ryasmeen is this happening again in phase0, or is that a marker indicating what was previously verified?

That gave me a little heart attack. It doesn't seem to be happening in phase0. Probably just a tag that we caught it there.

Jdforrester-WMF moved this task from To Triage to Done on the VisualEditor board.Jun 17 2015, 11:32 PM